[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Please approve hplip 0.9.2-3 for Sarge



The changes are minimal, and completely safe.  I have attached the full diff
to this email. 

hplip will have cleared a 10-day staging on sid by tomorrow, without any
reports.  It has been built on all arches for almost 10 days now, before the
buildd time shortages.

Also, I have extensively tested the changes myself (since otherwise my own
printer cannot clean cartridges :-) ).


Here is the changelog:

hplip (0.9.2-2) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * Added new patch: 50_hp-clean_fix, fix hp-clean bad wipeAndSpitType1()
      invocation

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 26 Apr 2005 02:04:27 -0300


The bug this fixes would warrant an "Important" tag, were it reported (I
found it myself while trying to clean up my printer :P ).

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh
Index: changelog
===================================================================
RCS file: /cvsroot/pkg-hpijs/hplip/debian/changelog,v
retrieving revision 1.61
retrieving revision 1.62
diff -u -r1.61 -r1.62
--- changelog	20 Apr 2005 13:10:17 -0000	1.61
+++ changelog	26 Apr 2005 05:05:57 -0000	1.62
@@ -1,3 +1,11 @@
+hplip (0.9.2-2) unstable; urgency=low
+
+  * Henrique de Moraes Holschuh:
+    * Added new patch: 50_hp-clean_fix, fix hp-clean bad wipeAndSpitType1()
+      invocation
+
+ -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 26 Apr 2005 02:04:27 -0300
+
 hplip (0.9.2-1) unstable; urgency=medium
 
   * New upstream version
Index: patches/00list
===================================================================
RCS file: /cvsroot/pkg-hpijs/hplip/debian/patches/00list,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- patches/00list	20 Apr 2005 12:05:00 -0000	1.20
+++ patches/00list	26 Apr 2005 05:05:58 -0000	1.21
@@ -4,3 +4,4 @@
 13_intsign-fixes
 30_bind_to_INADDR_LOOPBACK
 40_testmail_fix
+50_hp-clean_fix
Index: patches/50_hp-clean_fix.dpatch
===================================================================
RCS file: patches/50_hp-clean_fix.dpatch
diff -N patches/50_hp-clean_fix.dpatch
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/50_hp-clean_fix.dpatch	26 Apr 2005 05:05:58 -0000	1.1
@@ -0,0 +1,46 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 50_hp-clean_fix.dpatch by Henrique de Moraes Holschuh <hmh@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix wipeAndSpitType1() invocation
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad hplip/clean.py /tmp/dpep.eqBpGV/hplip/clean.py
+--- hplip/clean.py	2005-04-26 01:32:22.040450887 -0300
++++ /tmp/dpep.eqBpGV/hplip/clean.py	2005-04-26 01:45:49.943553532 -0300
+@@ -178,7 +178,7 @@
+ 
+     if clean_type == 1:
+         if level == 3:
+-            maint.wipeAndSpitType1()
++            maint.wipeAndSpitType1( d )
+         elif level == 2:
+             maint.primeType1( d )
+         else:
+@@ -194,7 +194,7 @@
+     
+     elif clean_type == 3:
+         if level == 3:
+-            maint.wipeAndSpitType1()
++            maint.wipeAndSpitType1( d )
+         elif level == 2:
+             maint.primeType1( d )
+         else:

Reply to: